### A free/open-source library for quantitative finance

Public Member Functions
MakeMCAmericanBasketEngine< RNG > Class Template Reference

Monte Carlo American basket-option engine factory. More...

`#include <ql/pricingengines/basket/mcamericanbasketengine.hpp>`

List of all members.

## Public Member Functions

| MakeMCAmericanBasketEngine (const boost::shared_ptr< StochasticProcessArray > &)
MakeMCAmericanBasketEngine & | withSteps (Size steps)
MakeMCAmericanBasketEngine & | withStepsPerYear (Size steps)
MakeMCAmericanBasketEngine & | withBrownianBridge (bool b=true)
MakeMCAmericanBasketEngine & | withAntitheticVariate (bool b=true)
MakeMCAmericanBasketEngine & | withSamples (Size samples)
MakeMCAmericanBasketEngine & | withAbsoluteTolerance (Real tolerance)
MakeMCAmericanBasketEngine & | withMaxSamples (Size samples)
MakeMCAmericanBasketEngine & | withSeed (BigNatural seed)
MakeMCAmericanBasketEngine & | withCalibrationSamples (Size samples)
| operator boost::shared_ptr< PricingEngine > () const

## Detailed Description

### template<class RNG = PseudoRandom>
class QuantLib::MakeMCAmericanBasketEngine< RNG >

Monte Carlo American basket-option engine factory.